Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.reflect
Class MethodComparator

    java.lang.Object
      org.codehaus.aspectwerkz.reflect.MethodComparator

All Implemented Interfaces:
  Comparator

    public final class MethodComparator

extends Object
implements Comparator

Compares Methods. To be used when sorting methods.

Author:
  Jonas Bonr

Field Summary
`static int` | `METHOD_INFO` Compares method infos.
`static int` | `NORMAL_METHOD` Compares normal method names.
`static int` | `PREFIXED_METHOD` Compares prefixed method names.

Method Summary
`int` | `compare(Object o1, Object o2)` Compares two objects.
`static Comparator` | `getInstance(int type)` Returns the comparator instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Field Detail

### NORMAL_METHOD

    public static final int NORMAL_METHOD

  Compares normal method names.

  See Also:
    Constant Field Values

### PREFIXED_METHOD

    public static final int PREFIXED_METHOD

  Compares prefixed method names.

  See Also:
    Constant Field Values

### METHOD_INFO

    public static final int METHOD_INFO

  Compares method infos.

  See Also:
    Constant Field Values

Method Detail

### getInstance

    public static Comparator getInstance(int type)

  Returns the comparator instance.

  Parameters:
    `type` - the type of the method comparison
  Returns:
    the instance

### compare

    public int compare(Object o1,
                       Object o2)

  Compares two objects.

  Specified by:
    `compare` in interface `Comparator`
  Parameters:
    `o1` -
    `o2` -
  Returns:
    int

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.